最近需要使用录音,于是找了react-native-audio这个项目,但是编译的时候碰到坑了,求助



  • RN版本:0.44.3
    react-native-audio: 3.5.0
    这是报错

    :react-native-audio:compileReleaseJavaWithJavac - is not incremental (e.g. outputs have changed, no previous execution, etc.).
    /Users/jiyarong/webs4/RecordingDemo/node_modules/react-native-audio/android/src/main/java/com/rnim/rn/audio/ReactNativeAudioPackage.java:13: 错误: ReactNativeAudioPackage不是抽象的, 并且未覆盖ReactPackage中的抽象方法createJSModules()
    public class ReactNativeAudioPackage implements ReactPackage {
           ^
    1 个错误
    :react-native-audio:compileReleaseJavaWithJavac FAILED
    
    FAILURE: Build failed with an exception.
    
    * What went wrong:
    Execution failed for task ':react-native-audio:com
    

    据作者说是因为RN在高版本中去掉了createJSModules 我按照问题里说的去掉了Ovewrite,但是没用,求助



  • 把版本升上去就行了,建议以后不要用0.44.3这个版本了,比较坑


Log in to reply